//Control program for von Bertalanffy growth model with time-varying asymptotic length
//Developed By B. Linton for ADMB Short Course 2, June 2006
//Created 6-7-06 by B. Linton
//Last modified 6-21-06 by B. Linton

GLOBALS_SECTION
//Variables declared in global section are valid everywhere in model

//Variables for making dat file names
//"char" object holds character string of specified length
  char charndat[5];  //hold data set number
  char filename[25];  //hold dat file name
  char runcommand[100];  //hold command to run growthtimeC.tpl

//Declare looping variables
  int k;  //looping variable for data sets

DATA_SECTION
//Read in data from control.dat file
  init_int ndat  //number of dat files

//Check that data reads in correctly
//!!cout << ndat << endl;
//!!exit(5);

PARAMETER_SECTION
//Need one active parameter for model to run
  init_number dummy
//Need objective function value for model to compile
  objective_function_value fake

PRELIMINARY_CALCS_SECTION
//For calculations that only need to be done once

  //Delete old parameter.rep file from previous run
  system("del parameter.rep");  

  //Single loop to run growthtimeC.tpl with each dat file
  for(k=1;k<=ndat;k++)
  {
    //Create dat file name
    sprintf(charndat,"%i",k);  //convert value of k to character string
    strcpy(filename,"growthtimeC");  //copy string "growthtimeC" to filename
    strcat(filename,charndat);  //concatenate charndat to filename
    strcat(filename,".dat");  //concatenate string ".dat" to filename

    //Create command to run growthtimeC.tpl
    strcpy(runcommand,"growthtimeC -ind ");  //copy string "growthtimeC -ind " to runcommand
    strcat(runcommand,filename);  //concatenate filename to runcommand

    //Run growthtimC.tpl
    system(runcommand);

    //Help identify model runs in Run-Time Messages buffer
    cout << "_____________________________________________" << endl;
    cout << "Completed model fit to " << filename << endl;
    cout << "_____________________________________________" << endl;
  }
  cout << "**** THE END ****" << endl;  //lets you know that all model runs are completed
  exit(0);

PROCEDURE_SECTION
//Need procedure section for model to compile

